using Xamarin.Essentials;

namespace Navigator.Services
{
  public class DeviceScreenInfo : IDeviceScreenInfo
  {
    public (double Width, double Height) GetScreenDimensions()
    {
      return (DeviceDisplay.MainDisplayInfo.Width, DeviceDisplay.MainDisplayInfo.Height);
    }

    public bool IsDeviceTablet()
    {
      return DeviceInfo.Idiom.Equals(DeviceIdiom.Tablet);
    }
  }
}
